Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLListBoxItem Class Reference

`#include <sdllistboxitem.h>`

Inheritance diagram for SDLListBoxItem

[legend]
Collaboration diagram for SDLListBoxItem:

[legend]
List of all members.

## Public Methods
| SDLListBoxItem (int height, char* text = NULL, SDL_Surface* icon = NULL, void* userdata = NULL)
| ~SDLListBoxItem ()
void | LoadThemeStyle (const char* widgettype, const char* objectname)
| Load a style from the theme definition. More...
## Protected Methods
void | eventBlit (SDL_Surface* srf, SDL_Rect* src, SDL_Rect* dst)

## Constructor & Destructor Documentation

SDLListBoxItem::SDLListBoxItem ( | int height,
| char * text = NULL,
| SDL_Surface * icon = NULL,
| void * userdata = NULL )

SDLListBoxItem::~SDLListBoxItem ( | )

## Member Function Documentation

void SDLListBoxItem::LoadThemeStyle ( | const char * widgettype,
| const char * objectname )`[virtual]`

  | Load a style from the theme definition. Parameters:
  widgettype | name of the widgettype
  objectname | name of the object
Loads the defined style of a given widgettype and objectname. Reimplemented from SDLWidget.

void SDLListBoxItem::eventBlit ( | SDL_Surface * srf,
| SDL_Rect * src,
| SDL_Rect * dst )`[protected, virtual]`

| Reimplemented from SDLLabel. Reimplemented in SDLColumnItem.

The documentation for this class was generated from the following file:

- sdllistboxitem.h